Subject: shepherd: Service ssh-daemon could not be started.
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Wed, 7 Nov 2018 11:03:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

This morning I started my GuixSD VM as usual.

Openssh server was not running even though it was enabled and should 
have been respawned. Hmm.

Lucky for me SSH is not the only way into this system...

 From the host I got:

$ ssh  sdb@localhost -p10022
ssh_exchange_identification: read: Connection reset by peer

On the guest:

$ grep -3 "ssh-daemon could not /var/log/messages
Nov  7 07:19:30 localhost vmunix: [    0.366701] VFS: Dquot-cache hash 
table entries: 512 (order 0, 4096 bytes)
Nov  7 07:19:30 localhost vmunix: [    0.367764] AppArmor: AppArmor 
Filesystem Enabled
Nov  7 07:19:30 localhost vmunix: [    0.368569] pnp: PnP ACPI init
Nov  7 07:19:31 localhost shepherd[1]: Service ssh-daemon could not be 
started.
Nov  7 07:19:31 localhost vmunix: [    0.370291] pnp: PnP ACPI: found 6 
devices
Nov  7 07:19:31 localhost vmunix: [    0.378960] clocksource: acpi_pm: 
mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
Nov  7 07:19:31 localhost vmunix: [    0.380434] NET: Registered 
protocol family 2

Herd said:

$ cat sshd-stopped
Status of ssh-daemon:
   It is stopped.
   It is enabled.
   Provides (ssh-daemon).
   Requires (syslogd).
   Conflicts with ().
   Will be respawned.               <-- not true!

Starting it yielded:

$ cat sshd-start
Service ssh-daemon has been started.

How do I increase the verbosity of shepherd? I did not find anything 
about that in the shepherd manual 
<https://www.gnu.org/software/shepherd/manual/shepherd.html#Invoking-shepherd>.

Is there a way to debug further?

-- 
Cheers
Swedebugia
PS
$ guix --version
guix (GNU Guix) 1f44934fb6e2cefccbecd4fa347025349fa9ff76 (=0.15